# Uses of Interface
org.apache.lucene.analysis.payloads.PayloadEncoder

Packages that use PayloadEncoder
Package
Description
org.apache.lucene.analysis.payloads
Provides various convenience classes for creating payloads on Tokens.

- ## Uses of PayloadEncoder in org.apache.lucene.analysis.payloads

  Classes in org.apache.lucene.analysis.payloads that implement PayloadEncoder
  Modifier and Type
  Class
  Description
  `class`
  `AbstractEncoder`
  Base class for payload encoders.
  `class`
  `FloatEncoder`
  Encode a character array Float as a `BytesRef`.
  `class`
  `IdentityEncoder`
  Does nothing other than convert the char array to a byte array using the specified encoding.
  `class`
  `IntegerEncoder`
  Encode a character array Integer as a `BytesRef`.
  Constructors in org.apache.lucene.analysis.payloads with parameters of type PayloadEncoder
  Modifier
  Constructor
  Description
  ``
  `DelimitedPayloadTokenFilter(TokenStream input, char delimiter, PayloadEncoder encoder)`